## org.eclipse.uml2.uml
Class UMLPlugin

    java.lang.Object
      org.eclipse.emf.common.util.DelegatingResourceLocator
          org.eclipse.emf.common.EMFPlugin
              org.eclipse.uml2.uml.UMLPlugin

All Implemented Interfaces:
  org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator

    public final class UMLPlugin

extends org.eclipse.emf.common.EMFPlugin

This is the central singleton for the UML model plugin.

Nested Class Summary
`protected static class` `UMLPlugin.DynamicPackageRegistryReader`
`protected static class` `UMLPlugin.GeneratedPackageRegistryReader`
`static class` `UMLPlugin.Implementation` The actual implementation of the Eclipse Plugin
`protected static class` `UMLPlugin.PackageRegistryReader`

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`org.eclipse.emf.common.EMFPlugin.EclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalHelper`

Field Summary
`protected static java.lang.String` `DYNAMIC_PACKAGE_PPID`
`protected static java.lang.String` `GENERATED_PACKAGE_PPID`
`static UMLPlugin` `INSTANCE` Keep track of the singleton

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

Constructor Summary
`UMLPlugin()` Create the instance

Method Summary
`static java.util.Map<java.lang.String,org.eclipse.emf.common.util.URI>` `getEPackageNsURIToProfileLocationMap()`
`static UMLPlugin.Implementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin
`org.eclipse.emf.common.util.ResourceLocator` `getPluginResourceLocator()` Returns the singleton instance of the Eclipse plugin

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator
`getBaseURL, getImage, getString, getString, getString, getString`

Field Detail

### GENERATED_PACKAGE_PPID

    protected static final java.lang.String GENERATED_PACKAGE_PPID

See Also:
  Constant Field Values

### DYNAMIC_PACKAGE_PPID

    protected static final java.lang.String DYNAMIC_PACKAGE_PPID

See Also:
  Constant Field Values

### INSTANCE

    public static final UMLPlugin INSTANCE

  Keep track of the singleton.

Constructor Detail

### UMLPlugin

    public UMLPlugin()

  Create the instance.

Method Detail

### getEPackageNsURIToProfileLocationMap

    public static java.util.Map<java.lang.String,org.eclipse.emf.common.util.URI> getEPackageNsURIToProfileLocationMap()

### getPluginResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getPluginResourceLocator()

  Returns the singleton instance of the Eclipse plugin.

  Specified by:
    `getPluginResourceLocator` in class `org.eclipse.emf.common.EMFPlugin`
  Returns:
    the singleton instance.

### getPlugin

    public static UMLPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.